# Using ddrbin_tool

This tool can be used to change configuration in the binary files that we use to build uboot.


### Usage
To get existing configuration of a binary:
```
./ddrbin_tool -g params.txt rk3566_ddr_1056MHz_v1.18.bin
```

To modify the binary based on parameteres:
```
./ddrbin_tool params.txt rk3566_ddr_1056MHz_v1.18.bin
```

**Please note that this command modifies the original file, so make sure to make a copy before!**

For more info read [ddrbin_tool_user_guide.txt](../tools/ddrbin_tool_user_guide.txt)


### Our modifications
Disable uart output:
```
uart id=0xf
```

Disable ddr training print:
```
dis_train_print=1
```

Adjust clock spread
```
ssmod_downspread=0
ssmod_div=5
ssmod_spread=0x15
```

`ssmod_downspread=0` means center,
`ssmod_div=5` need to set this value for rk3566. Info is from [ddrbin_tool_user_guide.txt](../tools/ddrbin_tool_user_guide.txt),
`ssmod_spread=19` this is a hex value! It's 25 decimal